Subject: [IPsec] [Editorial Errata Reported] RFC7296 (4930)

From: RFC Errata System <[email-masked]>
Date: Wed, 8 Feb 2017 07:55:31 -0800 (PST)

The following errata report has been submitted for RFC7296,
"Internet Key Exchange Protocol Version 2 (IKEv2)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7296&eid=4930

--------------------------------------
Type: Editorial
Reported by: Nikolai Malykh <[email-masked]>

Section: 3.16

Original Text
-------------
   Note that since IKE passes an indication of initiator identity in the
   first message in the IKE_AUTH exchange, the responder SHOULD NOT send
   EAP Identity requests.  The initiator MAY, however, respond to such
   requests if it receives them.

Corrected Text
--------------

Notes
-----
The last sentence of this section contains unnecessary repetition written above (the last sentence in description of Type field).

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7296 (draft-kivinen-ipsecme-ikev2-rfc5996bis-04)
--------------------------------------
Title               : Internet Key Exchange Protocol Version 2 (IKEv2)
Publication Date    : October 2014
Author(s)           : C. Kaufman, P. Hoffman, Y. Nir, P. Eronen, T. Kivinen
Category            : INTERNET STANDARD
Source              : IP Security Maintenance and Extensions
Area                : Security
Stream              : IETF
Verifying Party     : IESG

---

From: Yoav Nir <[email-masked]>
Date: Wed, 8 Feb 2017 21:14:15 +0200

This is factually true, and it dates back to RFC 5996 (but not 4306).

It obviously doesn’t confuse anyone, so I guess it should be either “held for document update”

Yoav

> On 8 Feb 2017, at 17:55, RFC Errata System <[email-masked]> wrote:
> 
> _______________________________________________
> IPsec mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipsec

---

From: Tero Kivinen <[email-masked]>
Date: Thu, 9 Feb 2017 14:24:18 +0200

RFC Errata System writes:
> The last sentence of this section contains unnecessary repetition
> written above (the last sentence in description of Type field).

This is true, but when we discussed it last time while in RFC editor
phase of the rfc5996bis (which came out to be RFC7296) we decided that
this emphasis is useful, and decided to keep it.

https://www.ietf.org/mail-archive/web/ipsec/current/msg09362.html
https://www.ietf.org/mail-archive/web/ipsec/current/msg09365.html

At that point we fixed the text to use same RFC2119 wording in both
places. 

I do not think there has been anything that really changed the reasons
why we decided to kept it twice in the document since that, so I think
the text should stay at it is now.

-- 
[email-masked]